#include <iostream>

using namespace std;

int main()
{
    int n, k;
    cin >> n >> k;

    int p[n];

    for(int i = 0; i < n; i++)
        cin >> p[i];

    for(int i = 0; i < n; i++){
        if(p[i] == k){
            if(i == n-1)
                cout << p[0];
            else cout << p[i+1];
        }
    }
    return 0;
}